Part Line/pl: Difference between revisions

From FreeCAD Documentation
(Created page with "{{Docnav/pl |Punkt |Wielokąt foremny |Środowisko pracy Część |IconL=Part_Point.svg |IconR=Part_RegularPolygon.svg |IconC=Workbench_Part.svg }}")
(Created page with "{{GuiCommand/pl |Name=Part Line |Name/pl=Część: Płaszczyzna |MenuLocation=Część → Utwórz geometrie pierwotne ... → Linia |Workbenches=Część, OpenSCAD |SeeAlso=Utwórz geometrie pierwotne }}")
Line 10: Line 10:
}}
}}


{{GuiCommand
{{GuiCommand/pl
|Name=Part Line
|Name=Part Line
|Name/pl=Część: Płaszczyzna
|MenuLocation=Part → [[Part_Primitives|Create primitives]] → Line
|MenuLocation=Część → Utwórz geometrie pierwotne ... → Linia
|Workbenches=[[Part_Workbench|Part]], [[OpenSCAD_Workbench|OpenSCAD]]
|Workbenches=[[Part_Workbench/pl|Część]], [[OpenSCAD_Workbench/pl|OpenSCAD]]
|SeeAlso=[[Part_Primitives|Part Primitives]]
|SeeAlso=[[Part_Primitives/pl|Utwórz geometrie pierwotne]]
}}
}}



Revision as of 06:34, 24 June 2023

Część: Płaszczyzna

Lokalizacja w menu
Część → Utwórz geometrie pierwotne ... → Linia
Środowisko pracy
Część, OpenSCAD
Domyślny skrót
brak
Wprowadzono w wersji
-
Zobacz także
Utwórz geometrie pierwotne

Description

A Part Line is a parametric line that can be created with the Part Primitives command. The coordinates of its start and end point are relative to the coordinate system defined by its DANEPlacement property.

Usage

See Part Primitives.

Properties

See also: Property editor.

A Part Line object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Vertex 1 - Start

  • DANEX1 (Distance): The X coordinate of the start point of the line. The default is 0mm.
  • DANEY1 (Distance): The Y coordinate of the start point of the line. The default is 0mm.
  • DANEZ1 (Distance): The Z coordinate of the start point of the line. The default is 0mm.

Vertex 2 - Finish

  • DANEX2 (Distance): The X coordinate of the end point of the line. The default is 10mm.
  • DANEY2 (Distance): The Y coordinate of the end point of the line. The default is 10mm.
  • DANEZ2 (Distance): The Z coordinate of the end point of the line. The default is 10mm.

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Line can be created with the addObject() method of the document:

line = FreeCAD.ActiveDocument.addObject("Part::Line", "myLine")
  • Where "myLine" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

line = doc.addObject("Part::Line", "myLine")
line.X1 = 1
line.Y1 = 3
line.Z1 = 6
line.X2 = 2
line.Y2 = 3
line.Z2 = 9

doc.recompute()